Bug 1293366 - How to disable categories submenus in MATE preferences menu?
How to disable categories submenus in MATE preferences menu?
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mate-control-center (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-21 09:58 EST by Pavol Šimo
Modified: 2016-01-07 22:22 EST (History)
3 users (show)

See Also:
Fixed In Version: mate-control-center-1.12.1-2.fc23 mate-control-center-1.12.1-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-04 13:51:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavol Šimo 2015-12-21 09:58:46 EST
According to changelog, mate-menus-preferences-category-menu is moved to mate-control-center package.
Previously it was sufficient to uninstall mate-menus-preferences-category-menu and the preferences menu was clean straight list. Now the items are scattered in many useless submenus.
Is there any way (apart from deleting the mate-preferences-categories.menu file) to disable this behaviour and have the items in one place?
Comment 1 Fedora Update System 2015-12-27 11:06:31 EST
mate-control-center-1.12.1-2.fc22 mate-menus-1.12.0-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-60bfe32232
Comment 2 Wolfgang Ulbrich 2015-12-27 11:10:08 EST
This update brings back the old subpackage which you can install or not.
In you case applying the update should remove the the file and not install the subpackage.
Comment 3 Fedora Update System 2015-12-28 19:55:18 EST
mate-control-center-1.12.1-2.fc23, mate-menus-1.12.0-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-b108901fb5
Comment 4 Pavol Šimo 2015-12-29 07:04:28 EST
Thank you, it works perfectly.
Comment 5 Fedora Update System 2015-12-30 15:54:39 EST
mate-control-center-1.12.1-2.fc22, mate-menus-1.12.0-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-60bfe32232
Comment 6 Fedora Update System 2016-01-04 13:51:39 EST
mate-control-center-1.12.1-2.fc23, mate-menus-1.12.0-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2016-01-07 22:22:10 EST
mate-control-center-1.12.1-2.fc22, mate-menus-1.12.0-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.